yast2-ncurses: NCPopupPkgDeps Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCPopupPkgDeps Class Reference

`#include <NCPopupPkgDeps.h>`

Inheritance diagram for NCPopupPkgDeps:

List of all members.

## Public Member Functions
| NCPopupPkgDeps (const wpos at, PackageSelector *pkger)
virtual | ~NCPopupPkgDeps ()
## Protected Member Functions
void | setDepsTableType ()
## Private Member Functions
NCPopupPkgDeps & | operator= (const NCPopupPkgDeps &)
| NCPopupPkgDeps (const NCPopupPkgDeps &)
bool | solveInstall (PkgDep::ResultList &goodList, PkgDep::ErrorResultList &badList)
string | getLabelRequire ()
string | getLabelRequBy1 ()
string | getLabelRequBy2 ()
string | getLabelConflict ()
string | getLabelContinueRequ ()
string | getHeadline ()

## Constructor & Destructor Documentation

NCPopupPkgDeps::NCPopupPkgDeps | ( | const NCPopupPkgDeps & |  | ) | `[private]`

NCPopupPkgDeps::NCPopupPkgDeps | ( | const wpos | at,
|  | PackageSelector * | pkger
| ) |

NCPopupPkgDeps::~NCPopupPkgDeps | ( |  | ) | `[virtual]`

## Member Function Documentation

string NCPopupPkgDeps::getHeadline | ( |  | ) | `[private, virtual]`

| Implements NCPopupDeps.

string NCPopupPkgDeps::getLabelConflict | ( |  | ) | `[private, virtual]`

| Implements NCPopupDeps.

string NCPopupPkgDeps::getLabelContinueRequ | ( |  | ) | `[private, virtual]`

| Implements NCPopupDeps.

string NCPopupPkgDeps::getLabelRequBy1 | ( |  | ) | `[private, virtual]`

| Implements NCPopupDeps.

string NCPopupPkgDeps::getLabelRequBy2 | ( |  | ) | `[private, virtual]`

| Implements NCPopupDeps.

string NCPopupPkgDeps::getLabelRequire | ( |  | ) | `[private, virtual]`

| Implements NCPopupDeps.

NCPopupPkgDeps& NCPopupPkgDeps::operator= | ( | const NCPopupPkgDeps & |  | ) | `[private]`

void NCPopupPkgDeps::setDepsTableType | ( |  | ) | `[protected, virtual]`

| Implements NCPopupDeps.

bool NCPopupPkgDeps::solveInstall | ( | PkgDep::ResultList & | goodList,
|  | PkgDep::ErrorResultList & | badList
| ) | `[private, virtual]`

| Implements NCPopupDeps.

The documentation for this class was generated from the following files:

- NCPopupPkgDeps.h
- NCPopupPkgDeps.cc